%define localstatedir   /var/lib

Summary:            dnsbl Sendmail Milter
Name:               dnsbl
Version:            6.11
Release:            %{?custom_release}%{!?custom_release:1}
License:            GPL
Group:              System Environment/Daemons
Source:             http://www.five-ten-sg.com/dnsbl/packages/dnsbl-6.11.tar.gz
BuildRoot:          %{_tmppath}/%{name}-%{version}-buildroot
URL:                http://www.five-ten-sg.com/dnsbl/
Vendor:             510 Software Group
Packager:           510 Software Group
AutoReqProv:        no

Requires(pre):          /usr/sbin/useradd
Requires(pre):          /usr/bin/getent
Requires(postun):       /usr/sbin/userdel
Requires(post,preun):   /sbin/chkconfig
Requires(post,preun):   /sbin/service
BuildRequires:          sendmail-devel >= 8.12.1
Requires:               sendmail >= 8.12.1
Requires:               sendmail-cf
Requires:               spamassassin
Requires:               libc.so.6, libgcc_s.so.1, libm.so.6, libpthread.so.0, libstdc++.so.6


%description
We present here a mechanism whereby the backup mail server can use the correct set of DNSBLs for each recipient for each message. As a side-effect, it gives us the ability to customize the set of DNSBLs on a per-recipient basis, so that fred@example.com could use LOCAL and the SBL, where all other users @example.com use only the SBL.

This milter will also decode (base64, mime, html entity, url encodings) and scan for HTTP and HTTPS URLs and bare hostnames in the body of the mail. If any of those host names have A or NS records on the SBL (or a single configurable DNSBL), the mail will be rejected unless previously whitelisted. This milter also counts the number of invalid HTML tags, and can reject mail if that count exceeds your specified limit.

The DNSBL milter reads a text configuration file (dnsbl.conf) on startup, and whenever the config file (or any of the referenced include files) is changed. The entire configuration file is case insensitive.


%prep


%setup


%build
./configure --prefix=%{_prefix} \
    --bindir=%{_bindir} --mandir=%{_mandir} \
    --localstatedir=%{localstatedir} --libdir=%{_libdir} \
    --datadir=%{_datadir} --includedir=%{_includedir} \
    --sysconfdir=%{_sysconfdir}
make


%install
if [ "$RPM_BUILD_ROOT" = "/" -o -z "$RPM_BUILD_ROOT" ] ; then
        echo sorry, you probably do not want me to delete the old buildroot at $RPM_BUILD_ROOT
        exit 1
fi
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{_prefix} bindir=$RPM_BUILD_ROOT%{_bindir} \
    mandir=$RPM_BUILD_ROOT%{_mandir} libdir=$RPM_BUILD_ROOT%{_libdir} \
    localstatedir=$RPM_BUILD_ROOT%{localstatedir} \
    datadir=$RPM_BUILD_ROOT%{_datadir} \
    includedir=$RPM_BUILD_ROOT%{_includedir} \
    sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} install
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT%{_datadir}/doc/dnsbl-6.11
mv -f $RPM_BUILD_ROOT%{_sysconfdir}/dnsbl/dnsbl     $RPM_BUILD_ROOT/etc/rc.d/init.d
mv AUTHORS COPYING ChangeLog NEWS README                    $RPM_BUILD_ROOT%{_datadir}/doc/dnsbl-6.11
mkdir -p %{buildroot}/var/run/dnsbl
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/dnsbl/autowhite
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/dnsbl/.spamassassin


%pre
/usr/bin/getent passwd dnsbl >/dev/null || /usr/sbin/useradd -r -d %{_sysconfdir}/dnsbl -M -c "dnsbl pseudo-user" -s /sbin/nologin dnsbl >/dev/null


%post
/sbin/chkconfig --add dnsbl
echo Remember to edit %{_sysconfdir}/dnsbl/dnsbl.conf and add the following line to your sendmail.mc:
echo "INPUT_MAIL_FILTER(\`dnsbl', \`S=local:/var/run/dnsbl/dnsbl.sock, F=T, T=C:30s;S:5m;R:5m;E:5m')"
echo


%preun
[ $1 = 0 ] && /sbin/service dnsbl stop || :


%postun
[ $1 = 0 ] && /sbin/chkconfig --del dnsbl
[ $1 = 0 ] && userdel dnsbl || :


%clean

%files
%defattr(-,root,root)
%{_sbindir}/*
%doc %{_mandir}/*
%docdir %{_datadir}/doc/dnsbl-6.11
%{_datadir}/doc/dnsbl-6.11
%config(noreplace) %{_sysconfdir}/dnsbl
/etc/rc.d/init.d/dnsbl
%dir %attr(0750,dnsbl,root) /var/run/dnsbl
%dir %attr(0750,dnsbl,root) %{_sysconfdir}/dnsbl/autowhite
%dir %attr(0750,dnsbl,root) %{_sysconfdir}/dnsbl/.spamassassin


%changelog
* Thu Aug 30 2007 Carl Byington 6.07
- Add generic rdns filtering, fix pre/post scripts

* Sun Aug 26 2007 Carl Byington 6.04
- require spamassassin

* Sat Jul 07 2007 Carl Byington 6.01
- GPL3, auto whitelisting

* Wed Aug 02 2006 Carl Byington 5.20
- http://www.rpm.org/max-rpm/s1-rpm-inside-scripts.html help with postun

* Thu Mar 16 2006 Carl Byington 5.16
- use dnsbl in more places

* Fri Mar 10 2006 Carl Byington 5.13
- remove redundant entry in files section

* Sun Dec 18 2005 Carl Byington 5.11
- use autoconf and http://www.fedora.us/docs/rpm-packaging-guidelines.html

* Tue Jan 03 2005 Carl Byington 4.0
- added hosts-ignore conf file
- see RELEASE_NOTES

* Thu Jul 15 2004 John Gunkel <antispam@boing.ca> 1.3
- patch to rc file no longer needed
- see RELEASE_NOTES

* Mon Jul 05 2004 John Gunkel <jgunkel@palliser.ca> 1.2
- Fixed some typos
- removed patch into separate file
- added config migration as suggested by Carl
- Added reminder to edit sendmail.mc

* Wed Jun 30 2004 John Gunkel <jgunkel@palliser.ca> 1.1
- Initial revision of spec file. Need to add a better description, docs and a sendmail.mc message

